/* This file is part of Error Correctiong Codes Application.
 *
 * Ecc-Application is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Ecc-Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Ecc-Application; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


package ch.educeth.eccapplet;

import java.awt.*;


/**
 * Die Klasse enthaelt alle Konstanten die fuer die Applikation
 * Fehler korrigierende Codes
 */
public class EccConstants {

	private EccConstants() {}

	/** Konstante fuer die Klasse EccApplet
	 * @see StartFrame */
	public static final String ECC = "Fehlerkorrigierende Codes";
	/** Konstante fuer die Klasse EccApplet 
	 * @see StartFrame */
	public static final String BUTTON_PIC = "gifs/start.gif";

	/** Konstante fuer die Klasse EccOriginalPicture 
	 * @see EccOriginalPicture */
	public static final String ORIGINAL_PIC = "Original Bild";
	/** Konstante fuer die Klasse EccHyperSpacePicture 
	 * @see EccHyperSpacePicture */
	public static final String CODED_PIC = "Codiertes Bild";
	/** Konstante fuer die Klasse EccHyperSpaceErrorPicture 
	 * @see EccHyperSpaceErrorPicture */
	public static final String ERROR_PIC = "bertragenes Bild (mit Fehler)";
	/** Konstante fuer die Klasse EccDecodedPicture 
	 * @see EccDecodedPicture */
	public static final String	DECODED_PIC = "Decodiertes Bild";
	
	/** Konstante fuer die Klasse EccView - Pfad des Bildes
	 * @see EccView */	
	public static final String PIC_PATH = "gifs/brush.gif";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String LEFT_PANEL = "bertragung des Bildes";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String RIGHT_PANEL = "Codierungsverfahren";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String	PIC_1 = "Bild 1";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String	PIC_2 = "Bild 2";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String	PIC_3 = "Bild 3";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String	PIC_4 = "Bild 4";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String PIC_OWN = "eigenes Bild";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String PIC_CHOOSE = "Bild aussuchen: ";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String DIM_3 = "3 Dimensionen";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String DIM_4 = "4 Dimensionen";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String DIM_5 = "5 Dimensionen";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String DIM_6 = "6 Dimensionen";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String DIM_7 = "7 Dimensionen";	
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String DIM_13 = "13 Dimensionen";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String ERROR_PROB = "Fehlerwahrscheinlichkeit";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String VIS_PANE = "Visuell";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String MATH_PANE = "Mathematisch";
	/** Konstante fuer die Klasse EccView
	 * @see EccView */
	public static final String NEW_SEND = "Neu Senden";

	/** Konstante fuer die Klasse EccColorViewRight
	 * @see EccColorViewRight */
	public static final String ORIGINAL_COLORS = "Verwendete Farben im Orginalbild:";
	/** Konstante fuer die Klasse EccColorViewRight
	 * @see EccColorViewRight */
	public static final String HYPERSPACE_COLORS = "Codierung der Ausgangsfarben:";
	/** Konstante fuer die Klasse EccColorViewRight
	 * @see EccColorViewRight */
	public static final String WHOLE_HYPERSPACE = "Menge aller Farben der Empfngerseite:";
	/** Konstante fuer die Klasse EccColorViewRight
	 * @see EccColorViewRight */
	public static final String COLOR_CODE = "Farbcodierung: ";

	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String CODING = "Codierung:";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String ARROW = " => ";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String MIN_DIST = "Minimale Distanz des Codes ist: ";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String GENERATOR = "  entsprechende Generatormatrix:";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String CODE_RECOGNIZE = "  Code erkennt ";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String ERROR = " Fehler";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String CODE_CORRECTS = "  Code korrigiert ";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String ERROR_NUMBER = "Anzahl Fehler:  ";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String WITH = "  Bei ";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String POINTS = " Punkten";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String CORRESPOND = "  entsprich dies: ";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String EXAMPLE_POINT = "Beispielpunkt(1,1):";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String ORIGINAL_POINT = "  original Punkt:    ";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String CODED_VALUE = "  codierter Wert:    ";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String	RECEIVED_VALUE = "  empfangener Wert:  ";
	/** Konstante fuer die Klasse EccRightMath
	 * @see EccRightMath */
	public static final String DECODED_VALUE = "  decodierter Punkt: ";

	/** Konstante fuer die Klasse EccGeneratorFrame
	 * @see EccGeneratorFrame */
	public static final String GENERATOR_MATRIX = "Generator Matrix";
	/** Konstante fuer die Klasse EccGeneratorFrame
	 * @see EccGeneratorFrame */
	public static final String MATRIX_ACCEPT = "Matrix annehmen";
	 
	/** Maximale Breite eines darstellbaren Bildes */
	public static final int MAXWIDTH = 128;
	/** Maximale Hoehe eines darstellbaren Bildes */
	public static final int MAXHEIGHT = 64;

	/** Erste Grundfarbe */
	public static final Color ORIGINAL_COLOR1 = Color.gray;
	/** Zweite Grundfarbe */
	public static final Color ORIGINAL_COLOR2 = Color.cyan;
	/** Dritte Grundfarbe */
	public static final Color ORIGINAL_COLOR3 = Color.blue;
	/** Vierte Grundfarbe */
	public static final Color ORIGINAL_COLOR4 = Color.black;

	/** Breite des ersten Bildes */
	public static final int X1 = 10;
	/** Hoehe des ersten Bildes */
	public static final int Y1 = 4;
	/** Erstes Bild */
	public static final int[][] PICTURE1 = {
		{3,2,2,2,2,1,1,1,1,1},
		{3,2,3,3,2,2,2,2,1,1},
		{2,2,3,4,4,4,4,2,2,2},
		{2,3,3,4,4,3,4,3,3,2}
	};

	/** Breite des zweiten Bildes */
	public static final int X2 = 9;
	/** Hoehe des zweiten Bildes */
	public static final int Y2 = 4;
	/** Zweites Bild */
	public static final int[][] PICTURE2 = {
		{1,1,1,1,1,1,1,1,1},
		{2,2,2,2,2,2,2,2,2},
		{3,3,3,3,3,3,3,3,3},
		{4,4,4,4,4,4,4,4,4}
	};

	/** Breite des dritten Bildes */
	public static final int X3 = 64;
	/** Hoehe des dritten Bildes */
	public static final int Y3 = 32;
	/** Drittes Bild */
	public static final int[][] PICTURE3 = {
		{2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,
		 2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3},
		{3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,4,2,
		 3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,4,2},
		{2,1,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,4,3,
		 2,1,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,4,3},
		{3,1,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,4,2,
		 3,1,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,4,2},
		{2,1,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,4,3,
		 2,1,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,4,3},
		{3,1,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,4,2,
		 3,1,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,4,2},
		{2,1,2,3,2,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,3,2,3,4,3,
		 2,1,2,3,2,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,3,2,3,4,3},
		{3,1,3,2,3,2,4,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,1,3,2,3,2,4,2,
		 3,1,3,2,3,2,4,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,1,3,2,3,2,4,2},
		{2,1,2,3,2,3,4,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,1,2,3,2,3,4,3,
		 2,1,2,3,2,3,4,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,1,2,3,2,3,4,3},
		{3,1,3,2,3,2,4,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,4,2,3,1,3,2,3,2,4,2,
		 3,1,3,2,3,2,4,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,4,2,3,1,3,2,3,2,4,2},
		{2,1,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,4,3,2,1,2,3,2,3,4,3,
		 2,1,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,4,3,2,1,2,3,2,3,4,3},
		{3,1,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,4,2,3,1,3,2,3,2,4,2,
		 3,1,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,4,2,3,1,3,2,3,2,4,2},
		{2,1,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,4,3,2,1,2,3,2,3,4,3,
		 2,1,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,4,3,2,1,2,3,2,3,4,3},
		{3,1,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,4,2,3,1,3,2,3,2,4,2,
		 3,1,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,4,2,3,1,3,2,3,2,4,2},
		{2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,4,4,4,4,4,4,4,4,3,2,1,2,3,2,3,4,3,
		 2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,4,4,4,4,4,4,4,4,3,2,1,2,3,2,3,4,3},
		{3,1,3,2,3,2,4,2,3,1,3,2,3,2,4,2,3,2,3,2,3,2,3,2,3,1,3,2,3,2,4,2,
		 3,1,3,2,3,2,4,2,3,1,3,2,3,2,4,2,3,2,3,2,3,2,3,2,3,1,3,2,3,2,4,2},
		{2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,3,2,3,2,3,2,3,2,3,2,1,2,3,2,3,4,3,
		 2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,3,2,3,2,3,2,3,2,3,2,1,2,3,2,3,4,3},
		{3,1,3,2,3,2,4,2,3,1,3,2,3,2,4,2,3,1,1,1,1,1,1,1,1,1,3,2,3,2,4,2,
		 3,1,3,2,3,2,4,2,3,1,3,2,3,2,4,2,3,1,1,1,1,1,1,1,1,1,3,2,3,2,4,2},
		{2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,4,3,
		 2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,4,3},
		{3,1,3,2,3,2,4,2,3,1,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,4,2,
		 3,1,3,2,3,2,4,2,3,1,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,4,2},
		{2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,4,3,
		 2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,4,3},
		{3,1,3,2,3,2,4,2,3,1,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,4,2,
		 3,1,3,2,3,2,4,2,3,1,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,4,2},
		{2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,
		 2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3},
		{3,1,3,2,3,2,4,2,3,1,3,2,3,2,4,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,
		 3,1,3,2,3,2,4,2,3,1,3,2,3,2,4,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2},
		{2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,
		 2,1,2,3,2,3,4,3,2,1,2,3,2,3,4,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3},
		{1,1,3,2,3,2,4,2,3,1,3,2,3,2,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
		 1,1,3,2,3,2,4,2,3,1,3,2,3,2,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
		{2,3,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,
		 2,3,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3},
		{3,2,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,
		 3,2,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2},
		{2,3,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,
		 2,3,2,3,2,3,4,3,2,1,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3},
		{3,2,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,
		 3,2,3,2,3,2,4,2,3,1,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2},
		{4,4,4,4,4,4,4,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
		 4,4,4,4,4,4,4,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4},
		{3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,
		 3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2}
	};

	/** Breite des vierten Bildes */
	public static final int X4 = 64;
	/** Hoehe des vierten Bildes */
	public static final int Y4 = 32;
	/** Viertes Bild */
	public static final int[][] PICTURE4 = {
		{1,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,1,1,
		 1,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,1,1},
		{2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,
		 2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1},
		{2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,1,1,3,3,3,3,3,1,1,1,1,3,3,3,3,3,4,
		 2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,1,1,3,3,3,3,3,1,1,1,1,3,3,3,3,3,4},
		{2,2,2,2,1,1,1,1,1,1,2,2,2,2,4,1,1,3,3,3,3,3,3,1,1,3,3,3,3,3,3,4,
		 2,2,2,2,1,1,1,1,1,1,2,2,2,2,4,1,1,3,3,3,3,3,3,1,1,3,3,3,3,3,3,4},
		{2,2,2,1,1,2,2,2,2,1,1,2,2,2,4,1,1,3,3,1,1,1,1,1,1,1,1,1,3,3,3,4,
		 2,2,2,1,1,2,2,2,2,1,1,2,2,2,4,1,1,3,3,1,1,1,1,1,1,1,1,1,3,3,3,4},
		{2,2,2,1,2,2,2,2,2,2,1,2,2,2,4,1,1,3,3,1,3,3,3,3,3,3,3,3,1,3,3,4,
		 2,2,2,1,2,2,2,2,2,2,1,2,2,2,4,1,1,3,3,1,3,3,3,3,3,3,3,3,1,3,3,4},
		{2,2,1,1,1,1,1,1,1,1,1,1,2,2,4,1,1,3,3,1,3,3,3,3,3,3,3,3,1,3,3,4,
		 2,2,1,1,1,1,1,1,1,1,1,1,2,2,4,1,1,3,3,1,3,3,3,3,3,3,3,3,1,3,3,4},
		{2,1,1,2,2,1,1,1,1,2,2,1,1,2,4,1,1,3,3,1,1,1,1,1,1,1,1,1,3,3,3,4,
		 2,1,1,2,2,1,1,1,1,2,2,1,1,2,4,1,1,3,3,1,1,1,1,1,1,1,1,1,3,3,3,4},
		{2,1,1,1,1,1,1,1,1,1,1,1,1,2,4,1,1,3,3,3,3,3,3,1,1,3,3,3,3,3,3,4,
		 2,1,1,1,1,1,1,1,1,1,1,1,1,2,4,1,1,3,3,3,3,3,3,1,1,3,3,3,3,3,3,4},
		{2,2,1,1,2,2,2,2,2,2,1,1,2,2,4,1,1,3,3,3,3,3,3,1,1,3,3,3,3,3,3,4,
		 2,2,1,1,2,2,2,2,2,2,1,1,2,2,4,1,1,3,3,3,3,3,3,1,1,3,3,3,3,3,3,4},
		{2,2,1,1,2,2,2,2,2,2,1,1,2,2,4,1,1,3,3,3,3,3,3,1,1,3,3,3,3,3,3,4,
		 2,2,1,1,2,2,2,2,2,2,1,1,2,2,4,1,1,3,3,3,3,3,3,1,1,3,3,3,3,3,3,4},
		{2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,1,1,3,3,3,3,3,3,1,1,3,3,3,3,3,3,4,
		 2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,1,1,3,3,3,3,3,3,1,1,3,3,3,3,3,3,4},
		{2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,
		 2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,4},
		{1,2,2,2,2,2,2,2,2,2,2,2,2,4,4,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,4,4,
		 1,2,2,2,2,2,2,2,2,2,2,2,2,4,4,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,4,4},
		{1,1,4,4,4,4,4,4,4,4,4,4,4,4,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,1,
		 1,1,4,4,4,4,4,4,4,4,4,4,4,4,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,1},
		{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
		 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
		 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
		{1,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,1,1,
		 1,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,1,1},
		{3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
		 3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1},
		{3,3,3,3,3,3,1,1,3,3,3,3,3,3,4,1,1,2,2,1,2,1,2,1,2,2,1,1,2,2,2,4,
		 3,3,3,3,3,3,1,1,3,3,3,3,3,3,4,1,1,2,2,1,2,1,2,1,2,2,1,1,2,2,2,4},
		{3,3,3,3,3,1,1,1,1,3,3,3,3,3,4,1,1,2,2,1,2,1,2,1,2,2,1,1,2,2,2,4,
		 3,3,3,3,3,1,1,1,1,3,3,3,3,3,4,1,1,2,2,1,2,1,2,1,2,2,1,1,2,2,2,4},
		{3,3,3,3,1,1,1,1,1,1,3,3,3,3,4,1,1,2,2,1,2,1,2,1,2,2,1,1,2,2,2,4,
		 3,3,3,3,1,1,1,1,1,1,3,3,3,3,4,1,1,2,2,1,2,1,2,1,2,2,1,1,2,2,2,4},
		{3,3,3,1,1,1,1,1,1,1,1,3,3,3,4,1,1,2,2,1,2,1,2,1,2,2,1,1,2,2,2,4,
		 3,3,3,1,1,1,1,1,1,1,1,3,3,3,4,1,1,2,2,1,2,1,2,1,2,2,1,1,2,2,2,4},
		{3,3,1,1,1,1,1,1,1,1,1,1,3,3,4,1,1,2,2,2,1,1,1,2,2,2,1,1,2,2,2,4,
		 3,3,1,1,1,1,1,1,1,1,1,1,3,3,4,1,1,2,2,2,1,1,1,2,2,2,1,1,2,2,2,4},
		{3,3,1,3,3,1,1,1,1,3,3,1,3,3,4,1,1,2,2,2,2,1,2,2,2,2,1,1,2,2,2,4,
		 3,3,1,3,3,1,1,1,1,3,3,1,3,3,4,1,1,2,2,2,2,1,2,2,2,2,1,1,2,2,2,4},
		{3,3,1,3,3,3,3,3,3,3,3,1,3,3,4,1,1,2,2,2,2,1,2,2,2,2,2,1,2,2,2,4,
		 3,3,1,3,3,3,3,3,3,3,3,1,3,3,4,1,1,2,2,2,2,1,2,2,2,2,2,1,2,2,2,4},
		{3,3,1,3,3,3,3,3,3,3,3,1,3,3,4,1,1,2,2,2,2,1,2,2,2,2,2,1,2,2,2,4,
		 3,3,1,3,3,3,3,3,3,3,3,1,3,3,4,1,1,2,2,2,2,1,2,2,2,2,2,1,2,2,2,4},
		{3,3,1,3,3,1,1,1,1,3,3,1,3,3,4,1,1,2,2,2,2,1,2,2,2,2,2,1,2,2,2,4,
		 3,3,1,3,3,1,1,1,1,3,3,1,3,3,4,1,1,2,2,2,2,1,2,2,2,2,2,1,2,2,2,4},
		{3,3,1,1,1,1,1,1,1,1,1,1,3,3,4,1,1,2,2,2,2,1,2,2,2,2,2,1,2,2,2,4,
		 3,3,1,1,1,1,1,1,1,1,1,1,3,3,4,1,1,2,2,2,2,1,2,2,2,2,2,1,2,2,2,4},
		{3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,1,1,2,2,2,2,1,2,2,2,2,2,1,2,2,2,4,
		 3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,1,1,2,2,2,2,1,2,2,2,2,2,1,2,2,2,4},
		{1,3,3,3,3,3,3,3,3,3,3,3,3,4,4,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,4,4,
		 1,3,3,3,3,3,3,3,3,3,3,3,3,4,4,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,4,4},
		{1,1,4,4,4,4,4,4,4,4,4,4,4,4,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,1,
		 1,1,4,4,4,4,4,4,4,4,4,4,4,4,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,1}
	};

	/* Achtung! editierbares Bild sollte immer Nummer 5 sein,
	 * da EccController direkt auf X5 und Y5 zugreift */
	/** Breite des editierbaren Bildes */
	public static final int X5 = 6;
	/** Hoehe des editierbaren Bildes */
	public static final int Y5 = 3;
	/** Editierbares Bild */
	public static final int[][] PICTURE5 = {
		{1,2,3,4,1,2},
		{2,3,4,1,2,3},
		{3,4,1,2,3,4}
	};
}
